package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFB47Data {

    private Map<String, Object> params;
    
    public MWFB47Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsKategkontr() {
        return (String) params.get("RS_KATEGKONTR");
    }

    public String rsTypkontr() {
        return (String) params.get("RS_TYPKONTR");
    }

    public String rsRoleklienta() {
        return (String) params.get("RS_ROLEKLIENTA");
    }

    public String rsBanka() {
        return (String) params.get("RS_BANKA");
    }

    public Double rsDluh() {
        return (Double) params.get("RS_DLUH");
    }

    public Double rsSplatka() {
        return (Double) params.get("RS_SPLATKA");
    }

    public java.util.Date rsDatumvzniku() {
        return (java.util.Date) params.get("RS_DATUMVZNIKU");
    }

    public Double rsZbyvazaplatit() {
        return (Double) params.get("RS_ZBYVAZAPLATIT");
    }

    public Long rsPocetsplatek() {
        return (Long) params.get("RS_POCETSPLATEK");
    }

    public String rsCcbOperationCode() {
        return (String) params.get("RS_CCB_OPERATION_CODE");
    }

    public Double rsRamec() {
        return (Double) params.get("RS_RAMEC");
    }

    public Double rsZustatekjistiny() {
        return (Double) params.get("RS_ZUSTATEKJISTINY");
    }

    public Long rsDobaposplatnosti() {
        return (Long) params.get("RS_DOBAPOSPLATNOSTI");
    } 

}
